$(function () {

    $(".btn_depoimento").on("click", function (event) {



        $(".trigger").remove();

        $("#depoimento_descricao").val('');

    })

    

    $('.j_buscar').submit(function () {

        var form = $(this);

        $(".trigger").remove();

        form.ajaxSubmit({

            url: '__jsc/ajax/buscar.php',

            dataType: 'json',

            data: {action: 'upload'},

            breforeSubmit: function () {

                console.log('antes');

            },

            uploadProgress: function () {

                console.log('durante');



            },

            success: function (data) {

//                document.location.href = './cadastro-sucesso';

                console.log(data)

                if (data.error[1] == 'accept') {

                    document.location.href = 'painel.php?exe=mensagem/sucesso';

                } else {

                    $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_buscar");

                }

            }

        })



        return false;

    });

    $('.j_juridica').click(function () {

        $('.j_dados_juridico').show();

    });

    $('.j_fisica').click(function () {

        $('.j_dados_juridico').hide();

    })

    

    $('.j_depoimento').submit(function () {

        var dados = $(this).serialize();

        $.ajax({

            url: '__jsc/ajax/depoimento.php',

            data: dados,

            type: 'POST',

            dataType: 'json',

            beforeSend: function () {

                console.log('LOADING...');

            },

            success: function (data) {                

                console.log(data)

                if (data.error[1] == 'accept') {

                    $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div><br>").prependTo(".j_depoimento");

                } else if (data.error[1] == 'alert') {

                    $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div><br>").prependTo(".j_depoimento");

                } else {

                    $("<div class=\"trigger error\"><b>Error: </b> Ocorreu um problema inesperado, entre em contato com nosso suporte atravez do e-mail suporte@inexnet.com.br.</div><br>").prependTo(".j_buscar");

                }

            }

        })



        return false;

    });

    $('.j_parceiro').submit(function () {

        var form = $(this);

        $(".trigger").remove();

        form.ajaxSubmit({

            url: '__jsc/ajax/parceiro.php',

            dataType: 'json',

            data: {action: 'upload'},

            breforeSubmit: function () {

                console.log('antes');

            },

            uploadProgress: function () {

                console.log('durante');



            },

            success: function (data) {

//                document.location.href = './cadastro-sucesso';

                console.log(data)

                if (data.error[1] == 'accept') {

                    document.location.href = 'painel.php?exe=produto/parceiros&up=true';

                } else {

                    $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_buscar");

                }

            }

        })



        return false;

    });

});



function comboCat(i) {

    $(".trigger").remove();

    // campos

    var cat = $('#cat_' + i);

    var sub = $('#sub_' + i);



    // valores

    var catId = $('#cat_' + i).val();

    var subId = $('#sub_' + i).val();



    cat.attr('disabled', 'true');

    sub.attr('disabled', 'true');

    console.log(catId);

    sub.html('<option value=""> Carregando subcategorias... </option>');



    $.ajax({

        url: '__jsc/ajax/subcategories.php',

        type: 'POST',

        data: {categoria: catId},

        success: function (data) {

            console.log(data);

            sub.html(data).removeAttr('disabled');

            cat.removeAttr('disabled');

        }

    })

}



function ativarCredito(i, id, item) {

    $(".trigger").remove();

    // campos

    var cat = $('#cat_' + i);

    var sub = $('#sub_' + i);



    // valores

    var catId = $('#cat_' + i).val();

    var subId = $('#sub_' + i).val();



    $.ajax({

        url: '__jsc/ajax/ativar_credito.php',

        type: 'POST',

        data: {subcategoria: subId, credito: id},

        dataType: 'json',

        success: function (data) {

            console.log(data);

            $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_alerta");



            if (data.error[1] == 'accept') {

                var tr = $(item).closest('tr');

                tr.fadeOut(400, function () {

                    tr.remove();

                })

            }

            console.log(tr);

        }

    })

}